Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/configs/releng/root-image/etc/rc.d/pacman-init
diff options
context:
space:
mode:
authorPierre Schmitz <pierre@archlinux.de>2012-06-18 19:00:50 +0200
committerGerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>2012-06-24 21:47:07 -0300
commitd7e790df232041da3794cb04d8822fb286757fc5 (patch)
treec4b9a32c51314ee525454c5cc94456f7bec4588d /configs/releng/root-image/etc/rc.d/pacman-init
parentdd368b5a81e42d0e68faab9e4debe02fbae03cae (diff)
Initialize pacman keyring on bootup
This will allow users to install packages within the live environment. We use the haveged daemon to increase entropy from CPU timings. See http://www.issihosts.com/haveged/ for details. Signed-off-by: Pierre Schmitz <pierre@archlinux.de> Signed-off-by: Gerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>
Diffstat (limited to 'configs/releng/root-image/etc/rc.d/pacman-init')
-rwxr-xr-xconfigs/releng/root-image/etc/rc.d/pacman-init34
1 files changed, 34 insertions, 0 deletions
diff --git a/configs/releng/root-image/etc/rc.d/pacman-init b/configs/releng/root-image/etc/rc.d/pacman-init
new file mode 100755
index 0000000..bbbd719
--- /dev/null
+++ b/configs/releng/root-image/etc/rc.d/pacman-init
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Initializing pacman keyring"
+ if { pacman-key --init && pacman-key --populate archlinux; } &>/dev/null; then
+ add_daemon pacman-init
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ stop)
+ stat_busy "Removing pacman keyring"
+ rm -rf /etc/pacman.d/gnupg
+ rm_daemon pacman-init
+ stat_done
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ ;;
+
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+
+exit 0